curl "https://secureapi.gridlog.io/api/v1/staking/plans?chain=solana" \
-H "Authorization: Bearer YOUR_JWT_TOKEN"
{
"plans": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "30 Day Lock",
"description": "30-day staking plan with competitive yield",
"chain": "solana",
"apy": 5.5,
"lockDays": 30,
"minAmount": "10",
"maxAmount": "1000000",
"penaltyPercent": 5,
"isActive": true
},
{
"id": "456e7890-e89b-12d3-a456-426614174001",
"name": "90 Day Lock",
"description": "Higher yield for longer commitment",
"chain": "solana",
"apy": 8.5,
"lockDays": 90,
"minAmount": "50",
"maxAmount": "1000000",
"penaltyPercent": 10,
"isActive": true
}
]
}
List all available staking plans, optionally filtered by chain
curl "https://secureapi.gridlog.io/api/v1/staking/plans?chain=solana" \
-H "Authorization: Bearer YOUR_JWT_TOKEN"
{
"plans": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "30 Day Lock",
"description": "30-day staking plan with competitive yield",
"chain": "solana",
"apy": 5.5,
"lockDays": 30,
"minAmount": "10",
"maxAmount": "1000000",
"penaltyPercent": 5,
"isActive": true
},
{
"id": "456e7890-e89b-12d3-a456-426614174001",
"name": "90 Day Lock",
"description": "Higher yield for longer commitment",
"chain": "solana",
"apy": 8.5,
"lockDays": 90,
"minAmount": "50",
"maxAmount": "1000000",
"penaltyPercent": 10,
"isActive": true
}
]
}
solana, ethereum)curl "https://secureapi.gridlog.io/api/v1/staking/plans?chain=solana" \
-H "Authorization: Bearer YOUR_JWT_TOKEN"
{
"plans": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "30 Day Lock",
"description": "30-day staking plan with competitive yield",
"chain": "solana",
"apy": 5.5,
"lockDays": 30,
"minAmount": "10",
"maxAmount": "1000000",
"penaltyPercent": 5,
"isActive": true
},
{
"id": "456e7890-e89b-12d3-a456-426614174001",
"name": "90 Day Lock",
"description": "Higher yield for longer commitment",
"chain": "solana",
"apy": 8.5,
"lockDays": 90,
"minAmount": "50",
"maxAmount": "1000000",
"penaltyPercent": 10,
"isActive": true
}
]
}
5.5 = 5.5% APY)